export const reject = {
    label: 'reject',
    fn: function arrayReject(callbackFn) {
        const ctx = this;
        const len = ctx.length;
        if ('function' !== typeof (callbackFn)) {
            throw new TypeError(`Expect 'callbackFn' to be a function`);
        }
        if (!len)
            return [];
        const result = [];
        for (let i = 0; i < len; i += 1) {
            const n = ctx[i];
            if (!callbackFn(n))
                result.push(n);
        }
        return result;
    },
};
//# sourceMappingURL=reject.js.map